Bug 1651817 - Gnome Software failing to check for updates
Summary: Gnome Software failing to check for updates
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 23:28 UTC by Dima Ryazanov
Modified: 2020-02-07 19:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:37:58 UTC


Attachments (Terms of Use)

Description Dima Ryazanov 2018-11-20 23:28:57 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:63.0) Gecko/20100101 Firefox/63.0
Build Identifier: 

Gnome Software has been broken for me since I've upgraded to Fedora 29 beta. That was acceptable for a beta - but now that Fedora 29 is officially released, I think it's reasonable to expect software updates to work.

Here's a bug report I have filed upstream:
https://gitlab.gnome.org/GNOME/gnome-software/issues/508


Reproducible: Sometimes

Steps to Reproduce:
1. Open Gnome Software
2. Go to "Updates" tab
3. Click the refresh button
Actual Results:  
"Looking for new updates..." message is displayed forever. The "stop" button doesn't do anything

Expected Results:  
List of available updates should be displayed

This may be caused by slow/flaky internet connection - but of course, if that's the case, there should be an error message.

Comment 1 Steve 2019-10-30 17:38:33 UTC
Same here in Fedora 30 with gnome-software-3.32.4-3.fc30.x86_64. Please change version to 30 since I can't do that.

Comment 2 Steve 2019-10-31 13:54:24 UTC
This seems to be a bug of PackageKit. I filed a bug here: https://bugzilla.redhat.com/show_bug.cgi?id=1767453

Comment 3 Ben Cotton 2019-10-31 18:42:31 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 23:37:58 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Dima Ryazanov 2020-02-07 19:53:12 UTC
Still happening in Fedora 31. I haven't been able to update in probably a month now.

Gnome Software is stuck displaying "Checking...". Killing the process or rebooting doesn't help. 

The "stop" button doesn't do anything, either. (One time, it was actually greyed out!)


Note You need to log in before you can comment on or make changes to this bug.